package meerkat.crypto.mixnet;

import com.google.protobuf.InvalidProtocolBufferException;
import javafx.util.Pair;
import meerkat.protobuf.Crypto;
import meerkat.protobuf.Mixing;

import java.util.List;
import static meerkat.protobuf.Voting.*;

/**
 * Created by talm on 25/10/15.
 */
public interface Mixer {
    public Pair<Mixing.ZeroKnowledgeProof[][],Crypto.RerandomizableEncryptedMessage[][]> mix(List<Crypto.RerandomizableEncryptedMessage> ciphertexts) throws InvalidProtocolBufferException;
}
